Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/multimedia/kaffeine/Makefile,v
retrieving revision 1.45
diff -u -r1.45 Makefile
--- Makefile	29 Jul 2007 13:59:14 -0000	1.45
+++ Makefile	25 Jan 2008 20:13:08 -0000
@@ -5,7 +5,7 @@
 # $FreeBSD: ports/multimedia/kaffeine/Makefile,v 1.45 2007/07/29 13:59:14 arved Exp $
 
 PORTNAME=	kaffeine
-PORTVERSION=	0.8.5
+PORTVERSION=	0.8.6
 CATEGORIES=	multimedia kde
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	kaffeine
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/multimedia/kaffeine/distinfo,v
retrieving revision 1.20
diff -u -r1.20 distinfo
--- distinfo	29 Jul 2007 13:59:14 -0000	1.20
+++ distinfo	25 Jan 2008 20:13:52 -0000
@@ -1,3 +1,3 @@
-MD5 (kaffeine-0.8.5.tar.bz2) = 71814e7612f1f7e1b6cd954d352e4201
-SHA256 (kaffeine-0.8.5.tar.bz2) = 653090c84c11eaea20a4b7b9a863972d16fea7d8db148be12b26291c162b0f97
-SIZE (kaffeine-0.8.5.tar.bz2) = 2887566
+MD5 (kaffeine-0.8.6.tar.bz2) = 102cced6a686f5ffffee94652ca2a093
+SHA256 (kaffeine-0.8.6.tar.bz2) = 77485636b1a279ed4e3431947eeda096f41e84ace481ffb0b9fd70d09676c0b7
+SIZE (kaffeine-0.8.6.tar.bz2) = 2923224
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/multimedia/kaffeine/pkg-plist,v
retrieving revision 1.23
diff -u -r1.23 pkg-plist
--- pkg-plist	29 Jul 2007 13:59:14 -0000	1.23
+++ pkg-plist	31 Jan 2008 14:08:48 -0000
@@ -4,7 +4,9 @@
 include/kaffeine/kaffeinepart.h
 include/kaffeine/xine_part.h
 include/kaffeine/xine_part_iface.h
+include/kaffeine/kaffeinedvbevents.h
 include/kaffeine/kaffeinedvbplugin.h
+include/kaffeine/kaffeinedvbsection.h
 %%NOGSTREAMER%%lib/kde3/libgstreamerpart.a
 %%NOGSTREAMER%%lib/kde3/libgstreamerpart.so
 %%NOGSTREAMER%%lib/kde3/libgstreamerpart.la
@@ -18,6 +20,10 @@
 lib/libkaffeineaudioencoder.la
 lib/libkaffeineaudioencoder.so
 lib/libkaffeineaudioencoder.so.0
+lib/libkaffeineepgplugin.so.0
+lib/libkaffeineepgplugin.so
+lib/libkaffeineepgplugin.la
+lib/libkaffeineepgplugin.a
 lib/libkaffeinepart.so
 lib/libkaffeinepart.la
 lib/libkaffeinepart.a
@@ -36,6 +42,7 @@
 share/apps/kaffeine/nocover.png
 share/apps/kaffeine/logo
 share/apps/kaffeine/logo.mpg
+share/apps/kaffeine/logo.avi
 share/apps/kaffeine/mms.protocol
 share/apps/kaffeine/rtsp.protocol
 share/apps/kaffeine/dvbdata.tar.gz
@@ -139,6 +146,7 @@
 share/services/xine_part.desktop
 share/servicetypes/kaffeineaudioencoder.desktop
 share/servicetypes/kaffeinedvbplugin.desktop
+share/servicetypes/kaffeineepgplugin.desktop
 @dirrm include/kaffeine
 @dirrm share/apps/kaffeine/pics
 @dirrm share/apps/kaffeine
Index: files/patch-dvbsection.cpp
===================================================================
RCS file: /home/ncvs/ports/multimedia/kaffeine/files/patch-dvbsection.cpp,v
retrieving revision 1.1
diff -u -r1.1 patch-dvbsection.cpp
--- files/patch-dvbsection.cpp	29 Jul 2007 13:59:15 -0000	1.1
+++ files/patch-dvbsection.cpp	30 Jan 2008 21:26:24 -0000
@@ -1,16 +1,16 @@
---- kaffeine/src/input/dvb/dvbsection.cpp.orig	2007-07-28 18:45:37.000000000 +0200
-+++ kaffeine/src/input/dvb/dvbsection.cpp	2007-07-29 15:30:30.000000000 +0200
-@@ -157,7 +157,8 @@
- 	int i;
- 	char buffer[1000];
- 	size_t inSize, outSize=sizeof(buffer);
+--- kaffeine/src/input/dvb/plugins/epg/kaffeinedvbsection.cpp.orig	2008-01-30 22:22:36.000000000 +0100
++++ kaffeine/src/input/dvb/plugins/epg/kaffeinedvbsection.cpp	2008-01-30 22:26:23.000000000 +0100
+@@ -134,7 +134,8 @@
+ bool KaffeineDVBsection::doIconv( QCString &s, QCString table, char *buffer, int buflen )
+ {
+ 	size_t inSize, outSize=buflen;
 -	char *inBuf, *outBuf;
 +	const char *inBuf;
 +	char *outBuf;
  	iconv_t cd;
- 	QCString table=defaultCharset;
  
-@@ -232,7 +233,8 @@
+ 	inSize = s.length();
+@@ -230,7 +231,8 @@
  	char c[4];
  	QString s;
  
